### Enumeration

# Gtk FontChooserLevel

since: 4.0

#### Declaration

    flags Gtk.FontChooserLevel

#### Description [src]

Specifies the granularity of font selection that is desired in a `GtkFontChooser`.

This enumeration may be extended in the future; applications should ignore unknown values.

Available since: 4.0

#### Members

`GTK_FONT_CHOOSER_LEVEL_FAMILY`

  Allow selecting a font family.

  - Value: `0`
  - Nickname: `family`
  - Available since: 4.0
`GTK_FONT_CHOOSER_LEVEL_STYLE`

  Allow selecting a specific font face.

  - Value: `1`
  - Nickname: `style`
  - Available since: 4.0
`GTK_FONT_CHOOSER_LEVEL_SIZE`

  Allow selecting a specific font size.

  - Value: `2`
  - Nickname: `size`
  - Available since: 4.0
`GTK_FONT_CHOOSER_LEVEL_VARIATIONS`

  Allow changing OpenType font variation axes.

  - Value: `4`
  - Nickname: `variations`
  - Available since: 4.0
`GTK_FONT_CHOOSER_LEVEL_FEATURES`

  Allow selecting specific OpenType font features.

  - Value: `8`
  - Nickname: `features`
  - Available since: 4.0